> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hifi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List all users

> Get all existing Hifi users



## OpenAPI

````yaml https://production.hifi.com/api/v2/openapi.json get /v2/users
openapi: 3.0.0
info:
  title: Hifi API
  version: 2.0.0
  description: API documentation for Hifi
servers:
  - url: https://production.hifibridge.com
    description: Production server
  - url: https://sandbox.hifibridge.com
    description: Sandbox server
security:
  - bearerAuth: []
tags:
  - name: Common
    description: Common endpoints
  - name: User
    description: User endpoints
  - name: Kyc
    description: Kyc endpoints
  - name: Wallet
    description: Wallet endpoints
  - name: Account
    description: Account endpoints
  - name: External Account
    description: External Account endpoints for managing beneficiary bank accounts
  - name: Fiat Account
    description: Fiat Account endpoints
  - name: Virtual Account
    description: Virtual Account endpoints
  - name: Onramp
    description: Onramp endpoints
  - name: Offramp
    description: Offramp endpoints
  - name: Orchestration Address
    description: >-
      Orchestration Address endpoints — persistent on-chain wallets that
      automatically off-ramp incoming stablecoin deposits to a USD bank account
  - name: Crypto Transfer
    description: Crypto Transfer endpoints
  - name: Cross-Chain Bridge
    description: Cross-Chain Bridge endpoints
  - name: Token Swap
    description: Token Swap endpoints
  - name: Canton Offers
    description: Canton Offers endpoints
  - name: Transfer Rules
    description: Transfer approval rules and configuration
  - name: Transfer Approvals
    description: Transfer approval workflow and admin actions
  - name: File
    description: File endpoints
  - name: Reporting
    description: Reporting and metrics endpoints
paths:
  /v2/users:
    get:
      tags:
        - User
      summary: List all users
      description: Get all existing Hifi users
      parameters:
        - $ref: '#/components/parameters/UserTypeV2Parameter'
        - $ref: '#/components/parameters/UserFirstNameParameter'
        - $ref: '#/components/parameters/UserLastNameParameter'
        - $ref: '#/components/parameters/UserBusinessNameParameter'
        - $ref: '#/components/parameters/UserEmailParameter'
        - $ref: '#/components/parameters/UserSearchParameter'
        - $ref: '#/components/parameters/LimitParameter'
        - $ref: '#/components/parameters/CreatedBeforeParameter'
        - $ref: '#/components/parameters/CreatedAfterParameter'
      responses:
        '200':
          $ref: '#/components/responses/AllUserV2ObjectsResponse'
        '401':
          $ref: '#/components/responses/UnauthorizedResponse'
        '404':
          $ref: '#/components/responses/NotFoundResponse'
        '500':
          $ref: '#/components/responses/InternalServerErrorResponse'
components:
  parameters:
    UserTypeV2Parameter:
      name: type
      in: query
      schema:
        type: string
        enum:
          - individual
          - business
      description: If passed, you will get all users under the type.
      required: false
    UserFirstNameParameter:
      name: firstName
      in: query
      schema:
        type: string
      description: >
        If passed, you will get all users with the case-insensitive partial
        match of `firstName`.
      required: false
    UserLastNameParameter:
      name: lastName
      in: query
      schema:
        type: string
      description: >
        If passed, you will get all users with the case-insensitive partial
        match of `lastName`.
      required: false
    UserBusinessNameParameter:
      name: businessName
      in: query
      schema:
        type: string
      description: >
        If passed, you will get all users with the case-insensitive partial
        match of `businessName`.
      required: false
    UserEmailParameter:
      name: email
      in: query
      schema:
        type: string
      description: >
        If passed, you will get all users with the case-insensitive partial
        match of `email`.
      required: false
    UserSearchParameter:
      name: search
      in: query
      schema:
        type: string
      description: >
        If passed, you will get all users with the case-insensitive partial
        match of `search` in the first name, last name, business name, or email.
        If the search is a valid UUID, you will get the user with the matching
        ID.
      required: false
    LimitParameter:
      name: limit
      in: query
      schema:
        type: string
        minimum: 1
        maximum: 100
      description: default to 10, maximum to 100
      required: false
    CreatedBeforeParameter:
      name: createdBefore
      in: query
      schema:
        type: string
        format: date
      description: 'ISO format: YYYY-MM-DD'
      required: false
    CreatedAfterParameter:
      name: createdAfter
      in: query
      schema:
        type: string
        format: date
      description: 'ISO format: YYYY-MM-DD'
      required: false
  responses:
    AllUserV2ObjectsResponse:
      description: Success
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/AllUserV2Objects'
          examples:
            UserObjectListExample:
              $ref: '#/components/examples/UserObjectListExample'
    UnauthorizedResponse:
      description: Unauthorized
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Unauthorized'
    NotFoundResponse:
      description: Resource not found
      content:
        application/json:
          schema:
            type: object
            properties:
              status:
                type: string
                enum:
                  - error
              error:
                type: object
                properties:
                  code:
                    type: string
                  message:
                    type: string
    InternalServerErrorResponse:
      description: Internal Server Error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/InternalServerError'
  schemas:
    AllUserV2Objects:
      type: object
      properties:
        count:
          type: integer
        users:
          type: array
          items:
            oneOf:
              - $ref: '#/components/schemas/IndividualUserV2Object'
              - $ref: '#/components/schemas/BusinessUserV2Object'
        nextCursor:
          type: string
          description: >-
            The `createdAt` timestamp of the last record in the current page.
            Pass this as `createdBefore` in the next request to retrieve the
            next page of results.
    Unauthorized:
      type: object
      properties:
        code:
          type: integer
          description: Error code
        error:
          type: string
          description: Error type
        errorDetails:
          type: string
          description: Detailed error message
    InternalServerError:
      type: object
      properties:
        code:
          type: integer
          description: Error code
        error:
          type: string
          description: Error type
        errorDetails:
          type: string
          description: Detailed error message
    IndividualUserV2Object:
      type: object
      title: User Object (Individual)
      properties:
        id:
          type: string
          format: uuid
          description: User ID
        createdAt:
          type: string
          format: date-time
          description: Data and time when the user was created
        type:
          type: string
        email:
          type: string
        name:
          type: string
        wallets:
          type: object
          properties:
            INDIVIDUAL:
              type: object
              properties:
                ETHEREUM:
                  $ref: '#/components/schemas/WalletAddressObject'
                POLYGON:
                  $ref: '#/components/schemas/WalletAddressObject'
    BusinessUserV2Object:
      type: object
      title: User Object (Business)
      properties:
        id:
          type: string
          format: uuid
          description: User ID
        createdAt:
          type: string
          format: date-time
          description: Data and time when the user was created
        type:
          type: string
        email:
          type: string
        name:
          type: string
        wallets:
          type: object
          properties:
            INDIVIDUAL:
              type: object
              properties:
                ETHEREUM:
                  $ref: '#/components/schemas/WalletAddressObject'
                POLYGON:
                  $ref: '#/components/schemas/WalletAddressObject'
    WalletAddressObject:
      type: object
      properties:
        id:
          type: string
          format: uuid
          description: Wallet ID
        address:
          type: string
          description: Wallet address
      required:
        - address
  examples:
    UserObjectListExample:
      summary: User Object List
      value:
        count: 2
        users:
          - id: 4d93ab4f-3983-4ac0-8c97-54bbc0f287fa
            createdAt: '2025-09-24T19:12:20.541Z'
            type: individual
            email: john.doe@hifibridge.com
            name: John Doe
            wallets:
              INDIVIDUAL:
                ETHEREUM:
                  id: 24b4917d-604e-4d81-ace8-9ba0261b6f4e
                  address: '0x43B343Bb48E23F58406271131B71448fF95787AD'
                POLYGON:
                  id: 24b4917d-604e-4d81-ace8-9ba0261b6f4e
                  address: '0x43B343Bb48E23F58406271131B71448fF95787AD'
          - id: 264484e0-979a-5fa3-9335-947f55e5999a
            createdAt: '2025-09-24T19:03:41.107Z'
            type: business
            email: admin@randombizz.com
            name: Random Bizz
            wallets:
              INDIVIDUAL:
                ETHEREUM:
                  id: 24b4917d-604e-4d81-ace8-9ba0261b6f4e
                  address: '0x2f78AEFA879819D7a5C9a87fE8BF5e7B961f5500'
                POLYGON:
                  id: 24b4917d-604e-4d81-ace8-9ba0261b6f4e
                  address: '0x2f78AEFA879819D7a5C9a87fE8BF5e7B961f5500'
        nextCursor: '2025-09-24T19:03:41.107Z'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````